Help: Overview of TCI

Overview of TCI

 Return to Overview

Tabbed Console Interface 1.01

(Friday, September 29, 2006)

Welcome to our help! We have designed this material to accompany our Windows product Tabbed Console Interface (TCI) TCI is designed for Windows XP, Windows 2003, and later versions of Windows.

TCI is a unique graphical application that allows you to run multiple console applications (generally command processors, such as 4NT, CMD, bash, Windows Power Shell, etc.) within a single tabbed window.

TCI Interface

Configuration Options

Troubleshooting and Support

Order Form

Copyright and Version

JP Software Inc.

P.O. Box 328, Chestertown, MD 21620, USA

phone: (410) 810-8818

fax: (410) 810-0026

email:sales@jpsoft.com

web:http://jpsoft.com/

Topic "overview.htm" last edited 2006/09/21. ©2006 JP Software, Inc.
Keywords: Overview


Help: Starting TCI

Starting TCI

You will typically start TCI from a Windows shortcut, located:

· on the desktop, or
· in the Quick Launch bar, or
· in the Programs section of the Start menu (including its Startup subdirectory).

You may also start it from the StartèRun dialog.

The installation software will optionally create both a TCI folder or group (in the Programs section of the Start menu) and a desktop object (shortcut) which starts TCI. Usually these are sufficient, but if you prefer, you can create multiple desktop objects or items to start TCI with different configurations. See Desktop Integration for details.

Each item or icon represents a different TCI window. You can set any necessary command line parameters for TCI such as the name and path for the .INI file.

When you configure a TCI shortcut, place the full path and name for the file in the Command Line field, and put any startup options that you want passed to TCI after the file name. For example:

Command Line: C:\Program Files\JPSoft\TCI\TCI.EXE
Working directory: C:\

You do not need to use the Change Icon button, because TCI.EXE already contains an icon.

Each Windows program has a command line which can be used to pass information to the program when it starts. The command line is entered in the Command Line field for each shortcut or each item in a Program Manager group (or each item defined under another Windows shell), and consists of the name of the program to execute, followed by any startup options.

The TCI startup command line does not need to contain any information. When invoked with an empty command line, TCI will configure itself from the .INI file , open a command processor window (from %COMSPEC%), and wait for you to type a command.

Topic "startup.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Startup


Help: Startup Command

Startup Command

The TCI command line will typically include the program name with drive and path, followed by any options for the TCI. For example:

c:\TCI\TCI.exe

Although the startup command line is usually very simple, you can add several options. The complete syntax for the TCI startup command line is (all on one line):

d:\path\TCI.EXE [[/]@d:\path\inifile] [//directive=value...] [/A"title"] [/D d:\path] [/R [d:\path\]program] [/S:rows:columns] [/T:xx]

(Do not include the square brackets shown in the command line above. They are there to indicate that the items within the brackets are optional.)

If you include any of the options below, you should use them in the order that they are described. If you do not do so, you may find that they do not operate properly.

The command line must start with the path and name of TCI:

[c:\] d:\path\TCI.EXE

The additional items below may be included on the command line:

@d:\path\inifile OR
/@d:\path\inifile

This option sets the path and name of the .INI file . You don't need this option if

1) your .INI file is named TCI.INI and
2) it is in one of the following directories:
2.1) the same directory as TCI.EXE
2.2) the WINDOWS directory

This option is most useful if you want to start TCI with a specific .INI file .

To start TCI without any .INI file , although you have an .INI file that would be used by default, you can specify a file that does not exist, however, you will see an error message. Alternately, you can create an empty file and specify it as your .INI file .

To get around a Windows limitation that causes the displayed command line of a shortcut to be truncated when a parameter begins with @, you can use the alternative syntax

/@d:\path\inifile

TCI will skip the leading forward slash.

Options:

//directive=value This option tells TCI to treat the text appearing between the // and the next space or tab as a directive. The directive should be in the same format as a line in the .INI file, but may not contain spaces, tabs, or comments. This option may be repeated. It is a convenient way to place a few simple directives on the startup line without having to modify or create a new .INI file .

/A This option allows you to start TCI with the specified window attached. If the window title specified matches more than one window, all matching windows will be attached. If TCI is already running, /A will attach the specified window to the existing TCI session.

/D Start TCI in the specified directory.
/R You can specify the program to start in the first tab with the /R option:
d:\path\TCI.exe /r d:\path\program

If there is already a TCI session running, /R creates a new tab in the existing TCI rather than starting a new session. If you do not specify an argument for /R, TCI will switch to the current tab in an existing TCI session, or start TCI with the default tab if no TCI session is running.
/S:rows,columns Set the startup window size, in rows and columns.

/T:xx You can also specify the default colors to use for the tabs with the /T option. (This option is for compatibility with CMD and 4NT; you'll probably find it easier to use the tabbed configuration dialog to set colors.)
d:\path\TCI.exe /T:xx
Where "xx" are the foreground and background colors, in hexadecimal.

Topic "cmdlineopts.htm" last edited 2006/09/22. ©2006 JP Software, Inc.
Keywords: Startup options,Startup command,TCI options,TCI parameters


Help: Desktop Integration

Desktop Integration

This section outlines how to integrate TCI into the Windows desktop for easier access to TCI features. Use these instructions if you are running a fairly standard Windows configuration. If you have altered your Windows desktop properties substantially, you may need to take those changes into account.

Creating Explorer Shortcuts to TCI

The TCI installation program normally creates a program group which appears on the Start Menu under Programs, and includes items which start TCI or its online help. If you want to create additional shortcuts elsewhere on the Start menu, or modify the Programs entries, click the right mouse button (right click) in an open area of the Task Bar, and select Properties on the popup menu. Select the Advanced tab, then the Start Menu Programs tab to modify or adjust the menus as required, as you would for any other Start Menu entry.

You can also create one or more shortcuts on the desktop to run TCI. To do so right click in any open area of the desktop. On the popup menu click New, then Shortcut. Fill in the drive and path for d:\path\TCI.EXE (use the appropriate drive and path for your system). Add any other command line options you wish to set to the end of the line.

No additional settings are necessary. The only required item is the drive and path for TCI.EXE. However, you can put command line switches or a command at the end of the command line for any shortcut. This allows you to run specific commands or set configuration options when you start TCI from that shortcut. See Command Line Options for details.

Shortcuts on the desktop can be activated by "double clicking" your pointer device, or (when highlighted) by the Enter key on the keyboard. You may also modify the "Properties" of a desktop shortcut by specifying a "shortcut key", which will activate it from your keyboard. Warning: if you rename (or move to another directory) a shortcut (link) file which had a shortcut key assigned, that assignment continues to point to the original file, which no longer exists.

Creating Explorer Context Menu Entries

Windows Explorer offers the ability to define new entries that will appear in the right click menu for various desktop objects such as files, directories and drives. Double-clicking on an icon triggers the default action (typically the open action) for the file type represented by that icon, but you can create additional entries and/or change the default to a different existing entry.

While the FTYPE command can be used to change the command associated with the default action, more extensive changes will require the File Types Explorer dialog (under the Tools/Folder Options menu) or direct modification of the Windows Registry. Select the method with which you are most comfortable.

Many users find it convenient to add a TCI Prompt Here option for directories (folders). Some Windows configurations already include a DOS Prompt Here which is typically hard-coded to point to COMMAND.COM or CMD.EXE but can be readily adjusted to point to the program of your choice.

As usual when dealing with the Registry, use caution and make sure you have a backup!

Topic "deskobjs.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Desktop integration,Explorer,Shortcuts


Help: TCI Interface

TCI Interface

Creating and changing tabs

The TCI Window

Onestep The TCI Window

Onestep Menus

Onestep Dialogs

Onestep Tool Bar

Onestep Status Bar

Onestep Scrollback Buffer

Onestep Highlighting and Copying Text

Onestep Resizing the TCI Window

TCI and the Windows Environment

Onestep Using Drag and Drop

Onestep Keys and Key Codes

Topic "tci.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: TCI Interface


Help: Creating and changing tabs

Creating and changing tabs

When TCI starts, it creates a tab running the program specified in the COMSPEC environment variable.

You can create a new tab by double-clicking on any blank space on the tab bar, or with the "Apps / Run" menu selection. You can switch between tabs either by left-clicking on the tab label, with the Alt-Left and Alt-Right keys, or with the "Tabs" menu selection.

If you want to reorder tabs, you can use the Ctrl-Alt-Right and Ctrl-Alt-Left keys to move the current tab.

You can also move a console window to a TCI tab with the "File / Attach Tab" menu selection. You can move a TCI tab back to the desktop with the "File / Detach Tab" menu selection.

Topic "creating_and_changing_tabs.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Tabs,Creating Tabs,Changing Tabs


Help: The TCI Window

The TCI Window

The TCI window has six parts:

1. The Title Bar is the same as the one used in most Windows applications, with a control menu button on the left and the minimize, maximize, and close buttons on the right. You can adjust the size of the TCI window using standard window techniques, but see Resizing the TCI Window for information about how TCI's display changes when you do so.
2. See TCI Menus for details about the Menu Bar and all of its menus.
3. The Tool Bar is used to execute internal or external commands, aliases, batch files, and applications with the click of a mouse. You can define up to 32 Tool Bar buttons; see Tool Bar Dialog for instructions. You can show or hide the Tool Bar with a choice on the Options Menu , from Window Option Tab of the Configuration Dialog , or with the ToolBarOn directive in TCI.INI.
4. The Tab Bar switches between your console sessions. You can create a new tab by clicking on a blank part of the tab bar.
5. The Command Window accepts your input and displays the console application's output. You can use the scroll bars to view text that has scrolled out of the window. You can also save the contents of the window and scrollback buffer to a file, print all or part of the scrollback buffer, copy text from the window to the clipboard, and copy text from the clipboard or from the window to the command line. See Highlighting and Copying Text for information about saving and retrieving text in the Command Window.
6. Finally, the Status Bar at the bottom of the TCI window displays information about your system:

Onestep The date and time, based on the Windows clock.
Onestep The percentage of CPU usage.
Onestep The percentage "memory load" as reported by Windows.
Onestep The state of the Caps Lock key on the keyboard.
Onestep The state of the Num Lock key on the keyboard.
Onestep The window size (columns and rows)
Onestep A slider control to adjust the transparency level of the TCI window.

You can show or hide the Status Bar with a choice on the Options Menu , with the Window Option Tab of the Configuration Dialog , or with the StatusBarOn directive in TCI.INI.

If you find the default "I-Beam" cursor in the TCI window difficult to see, disable it from the Startup page of the configuration dialog, or set the IBeamCursor=No directive in the [TCI] section of TCI.INI to force the use of an arrow cursor in all parts of the window.

Topic "tcwindow.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: TCI Window


Help: TCI Menus

TCI Menus

Like most Windows applications, TCI displays a menu bar along the top of the TCI window. To select a particular menu item, click once on the menu heading. (You cannot use the F10 key because TCI passes that key on to the console apps.)

The items on the menu bar allow you to select a variety of TCI features:

File Menu

Edit Menu

Tabs Menu

Apps Menu

Options Menu

Help Menu

Topic "menus.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: TCI Menus,Menus


Help: File Menu

File Menu

The File menu allows you to save or print the screen buffer, attach, detach, close, or rename tabs, or exit TCI.

Save to File...

Saves the contents of the TCI scrollback buffer to a file. A Save As dialog box appears in which you can enter the name of the file that you wish to use.

Print...

Sends the contents of the TCI scrollback buffer to the printer. A Print dialog box appears in which you can choose the portion of the Screen Buffer you wish to print.

Setup Printer...

Displays a standard printer setup dialog box. The options available in the dialog box depend on the printer driver(s) you are using.

Refresh

Redraws everything in the TCI window (use this selection if the display appears incorrect, for example if it is not repainted properly after another application exits).

Attach Tab

Displays a popup menu of all of the console sessions that are not already displayed in TCI, and allows you to select one to convert to a TCI tab.

Close Tab

Closes the current console session.

Detach Tab

Disconnects the current console session from TCI.

Rename Tab

Rename the current tab text (and the console title).

Exit

Ends the current TCI process.

Topic "filemenu.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: File Menu


Help: Edit Menu

Edit Menu

The Edit menu allows you to copy text between the TCI window and the Windows clipboard, to enable or disable the console mouse, and to search the screen buffer.

To use the Cut, Copy, or Delete commands, you must first select a block of text with the mouse, the keyboard, or with the Select All command, below. If you hold down the right mouse button while you select a block of text, that block will be copied to the clipboard automatically when you release the button.

TCI allows you to select text in either line or block mode. For more information on copying text see Highlighting and Copying Text .

Copy

Copies selected text from the TCI scrollback buffer to the clipboard.

Paste

Copies text from the clipboard to the active console session in TCI. If the text you insert contains a line feed or carriage return, the command line will be executed just as if you had pressed Enter.

Copy + Paste

Copies the selected text from the TCI scrollback buffer to the active console session.

Copy + Paste + Run

Copies the selected text from the TCI scrollback buffer to the active console session and appends a CR/LF.

Paste + Run

Copies text from the clipboard to the active console session and executes the resulting command line.

Select All

Marks the entire contents of the TCI scrollback buffer as selected text.

Console Mouse

If checked, TCI will send mouse messages (move, left click, right click, and double click) to the console app.

Find

Perform a regular expression search of the TCI scrollback buffer. The Down button searches forwards from the current selection (or from the beginning of the screen buffer if there is no selection); the Up button searches the backwards from the current selection (or the current cursor location if there is no selection).

Topic "editmenu.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Edit Menu


Help: Tabs Menu

Tabs Menu

The Tabs menu displays the titles of all of the active tabs and allows you to select a specific tab. The name of the current tab will be displayed with a check.

Topic "tabs_menu.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Tabs Menu


Help: Apps Menu

Apps Menu

New Tab

Creates a new tab and starts a new console session by running the default character-mode command processor.

Run

Displays the run dialog box from which you can run an application or batch file. TCI remembers the commands you have run from this dialog in the current session. To select from this list click on the drop-down arrow to the right of the "Command Line" field, or press the down-arrow.

Topic "appsmenu.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Apps Menu


Help: Options Menu

Options Menu

Configure TCI

Opens a dialog to change the TCI configuration.

Configure Tool Bar

Opens a dialog where you can define up to 32 buttons for the TCI tool bar .

Show Tool Bar

Enables or disables the TCI tool bar , which appears near the top of the TCI window. The tool bar will not appear until you have defined at least one item with the Configure Tool Bar command, above.

Show Status Bar

Select this item to enable or disable the TCI status bar , which appears at the bottom of the TCI window.

Show Console Window

Select this item to show the (normally hidden) console window for this tab. (This option is normally only used for debugging purposes, if the console window output differs from the TCI window output.)

Topic "optmenu.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Options Menu


Help: Help Menu

Help Menu

See also: the Help File topic.

Contents

Displays the Table of Contents of the TCI help file (TCI.chm) from which you can directly navigate to any topic. This is the same display you will see if you select the Contents tab from within the help system.

Search Topics

Displays the Search dialog of the TCI help file (TCI.chm) from which you can search for any topic. This is the same dialog you will see if you select the Search tab from within the help system.

Index

Displays the Index dialog of the TCI help file (TCI.chm) from which you can search for any keyword. This is the same dialog you will see if you select the Index tab from within the help system.

http://jpsoft.com/

A hyperlink to our web site. (Depending on your configuration, you may need to first establish an Internet connection.)

Order from JP Software

A hyperlink to our Secure Online Store. (Depending on your configuration, you may need to first establish an Internet connection.)

About

Displays the TCI version, copyright, and license information.

Topic "helpmenu.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Help Menu


Help: TCI Dialogs

TCI Dialogs

The TCI menus lead to several dialog boxes. Each is listed here for quick reference, though in general you will find it easier to learn about each one from the context in which it is used (for example, the information referenced below on the tool bar dialog will be more useful after you have read the section on the tool bar ).

TCI uses standard Windows dialogs for tasks like printing, selecting a font, or browsing files and directories. These dialogs are provided by Windows, not TCI, and are common to most Windows programs; they are not documented within this help system.

The reference in parentheses after certain dialogs listed below shows the name of the menu you can use to access that dialog.

Run Program Dialog ( Apps )
Properties Dialog ( Options )
Windows Tab
Registration Tab
Tool Bar Dialog ( Options )

Topic "dialogs.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Dialogs


Help: Run Program Dialog

Run Program Dialog

The Run Program dialog (called from the Apps menu) allows you to run a program by typing its name or browsing the disk.

In the Command Line edit box, you can enter the name of any executable program plus command line parameters. If you click on the arrow to the right of the edit box, the dialog displays a list of previous commands you have entered during the current TCI session.

The Tab, Normal, Minimized, and Maximized radio buttons determine the type of window that will be used for the program. Tab will start the program as a new tab in TCI. If you select Minimized, the program will start as an icon on the Taskbar. Maximized starts the program in a full-screen window. The Normal button lets the operating system select the size and position of the program's window.

The Browse button leads to a standard file browser from which you can select any executable program. Your choice will be placed in the Command Line edit box, and you can add parameters before selecting OK to run the program.

Topic "rundlg.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Run Program Dialog


Help: Tool Bar Dialog

Tool Bar Dialog

This dialog (called from the TCI Options menu) allows you to define or modify buttons on the tool bar .

The Font Size setting applies to the display text for all buttons on the TCI tool bar.

Select the button you want to define, modify, or delete by clicking on it. A second dialog opens to let you define the label, command, directory, and mode for the button.

In the Label field, enter the text that you want to display on the button when it appears in TCI's tool bar.

In the Command field, you can enter either the command to be started in a new tab ("Start new tab"), or the keystrokes to be sent to the current tab ("Send to current tab"). In the Command field, enter the command to be executed when you select the button on the tool bar. You can use the Browse button to find a path and filename to be entered at the beginning of the Command field.

If the tab is sending keystrokes to the current tab, the text is in the same format as the KEYSTACK command in 4NT and Take Command:

Keystroke Interpretation

An exclamation mark ! will clear all pending keystrokes.

Characters entered within double quotes, e.g., "abc" will be sent to the active console application as is. The only items allowed outside the quotes are key names, the ! and /W options, and a repeat count.

If keyname is a single letter, it is sent to the console application as if it had been quoted, without any spaces. For example, you could enter the string abc as a b c, instead of the quoted string method described above.

If keyname is a number, it is interpreted as a scan code. See Key Names for the codes you need.

Repetition. To send keyname several times, follow it with a space, left bracket [, the repetition count, and a right bracket ]. For example, the command below will send the Enter key 4 times:

enter [4]

The repeat count works only with an individual keyname. It cannot be used with quoted strings. You must have a blank space between the keyname and the repetition count.

If you exit by choosing the OK button, any changes you have made will be saved in TCI.INI, and reloaded automatically the next time you start TCI. If you use the Cancel button, your changes will be discarded.

If you want to rearrange the order of the buttons on the tool bar, use a text editor (e.g. Windows' Notepad) to edit the [Buttons] section of TCI.INI. Simply rearrange the lines into the order you wish, and renumber the buttons accordingly.

Topic "toolbardlg.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Tool Bar Dialog


Help: Tool Bar

Tool Bar

The TCI window has an optional Tool Bar that you can use to execute internal or external commands, aliases, or batch files with the click of a mouse.

To create buttons for the Tool Bar, select Configure Tool Bar from the Options menu. This selection displays the tool bar dialog .

You can define up to 32 Tool Bar buttons.

To enable or disable the Tool Bar, use the ToolBarOn directive in TCI.INI, the Tool Bar Enable setting on the Windows tab in the configuration dialogs , or the Show Tool Bar command in the Options menu .

The configuration dialog and TCI.INI settings are modified when you enable and disable the tool bar from the Options menu. This preserves the tool bar state when you close TCI and restores it the next time you start a TCI session.

Topic "toolbar.htm" last edited 2006/06/01. ©2006 JP Software, Inc.
Keywords: Tool Bar


Help: Status Bar

Status Bar

The TCI window has an optional Status Bar that shows information about your system. To enable or disable the Status Bar, use the StatusBarOn directive in the TCI.INI file, the Status Bar Enable setting on the Windows tab in the configuration dialogs , or the Show Statusbar command in the Options menu .

The configuration dialog and TCI.INI settings are modified when you enable and disable the status bar from the Options menu. This preserves the status bar state when you close TCI, and restores it the next time you start a TCI session.

The status bar displays the following information:

Onestep The date and time.

Onestep The CPU usage percentage as reported by Windows.

Onestep The percentage "memory load" as reported by Windows.

Onestep The state of the Caps Lock key on the keyboard.

Onestep The state of the Num Lock key on the keyboard.

Onestep The number of columns and rows in the window.

The status bar also includes a slider control on the right side which controls the transparency level of the TCI window.

Topic "statusbar.htm" last edited 2006/06/01. ©2006 JP Software, Inc.
Keywords: Status Bar


Help: Using the Scrollback Buffer

Using the Scrollback Buffer

TCI retains the text displayed on its screen in a "scrollback buffer". You can scroll through this buffer using the mouse and the vertical scroll bar at the right side of the TCI window, just as you can in any Windows application. You can also scroll forward and back with the Alt-Up, Alt-Down, Alt-PgUp, and Alt-PgDn keys.

If you scroll back through the buffer to view previous output and then press any keys (other than the scroll keys above), TCI will automatically return to the current cursor position in the scrollback buffer.

Topic "scrollback.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Scrollback Buffer,Screen Buffer


Help: Highlighting & Copying Text

Highlighting and Copying Text

While you are working at the TCI prompt you can use the Windows clipboard to copy text between TCI tabs and other applications. You can also select all of the text in the current TCI tab by using the Select All command on the Edit menu.

The right mouse button will pop up an Edit context menu.

To copy text from the TCI window to the clipboard, first use the mouse to highlight the text, then use the Copy command in the Edit menu . You can optionally combine multiple selected lines into a single line before placing it in the keyboard by holding down the Ctrl key and selecting Copy (or Copy+Paste or Copy+Paste+Run) from the right-click context menu.

You can alternately copy in block mode by holding down the Alt key when you left-click to start the highlight.

To copy text from the clipboard use the middle mouse button or the Paste command in the Edit menu.

To paste text from elsewhere in the TCI window, highlight the text with the mouse and use the Copy+Paste command in the Edit menu. It's a convenient way to copy a filename from a previous command directly to the command line.

You can also use Windows' Drag and Drop facility to paste a filename from another application.

Topic "clipboard.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Highlighting text,Copying text,Clipboard


Help: Resizing the TCI Window

Resizing the TCI Window

You can resize the TCI window at any time by dragging a corner with the mouse. Resizing the window changes the number of rows and columns of text which will fit in the command window (the actual number of rows and columns for any given window size depends on the font you are using).

It is possible to create a TCI window that is larger than the largest allowable console window if the TCI font is smaller than the default console font. If this occurs, TCI will resize itself automatically to the largest allowable size.

Topic "virtscreen.htm" last edited 2006/07/19. ©2006 JP Software, Inc.
Keywords: Resizing,Window resizing


Help: Using Drag & Drop

Using Drag and Drop

TCI is compatible with Windows' Drag-and-Drop facility.

To add a filename to the command line using drag and drop simply drag the file from another application using the mouse, and release the mouse button with the file icon anywhere inside the TCI window. The full name of the file will be pasted onto the command line at the current cursor position.

TCI is a drag and drop "client", which means it can accept files dragged in from other applications and paste their names into the current active session as described above. It is not a drag and drop "server", so you cannot drag filenames from the TCI window into other applications. However you can copy filenames and other text from the TCI Window to other applications using the clipboard. (See Highlighting and Copying Text for details.)

Topic "dragdrop.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Drag and drop


Help: Keys and Key Codes

Keys Names

Key names are used byTCI for the toolbar commands. The format of a key name is:

[Prefix-]Keyname

The valid prefix and keyname combinations are shown in the table below. Names of keys must be spelled exactly as shown, except for case. Note that you cannot specify a punctuation key.

Prefix | Valid for key names
none | A-Z, 0-9, F1-F12, Tab, Bksp, Enter, Up, Down, Left, Right, PgUp, PgDn, Home, End, Ins, Del, Esc
Alt- | A-Z, 0-9, F1-F12, Bksp
Ctrl- | A-Z, F1-F12, Tab, Bksp, Enter, Up, Down, Left, Right, PgUp, PgDn, Home, End, Ins, Del
Shift- | F1-F12, Tab

The prefix and key name must be separated by a hyphen (-). For example:

Alt-F10 ctrl-bksp

Some keys are intercepted by Windows and are not passed on to TCI. For example, Alt-Tab, Alt-Esc and Ctrl-Esc typically pop up a tasklist, or are used in switching among multiple tasks. Alt-space pops up the TCI system menu.

The above comments are based on common US-style keyboards. Some key combinations might not be available on some keyboards.

Topic "keynames.htm" last edited 2006/06/01. ©2006 JP Software, Inc.
Keywords: Keys,Key Codes


Help: Configuration Options

Configuration Options

TCI has a number of configuration options, allowing you to customize its operation for your needs and preferences. Most of these options can be set through the use of directives stored in the Initialization File. The Options / Configure menu command invokes the Configuration Dialog, which is able to set the majority of directives, or to dynamically modify the value of a single directive at a time.

Topic "configuration.htm" last edited 2006/06/02. ©2006 JP Software, Inc.
Keywords: Configuration,TCI.INI


Help: Initialization (.INI) Files

Initialization (.INI) Files

Most of the TCI configuration is controlled through initialization directives saved in the TCI.INI file.

Note: The TCI.INI file is also used by TCI to store some operating characteristics, such as the default size and location of the TCI window.

Modifying the TCI.INI File

You can create, add to, and modify the .INI file in two ways:

· with the configuration dialog , available via the Configure TCI selection on the Options menu , or
· by editing the file with any text editor.

Most of the changes you make in the configuration dialog take effect immediately. A few (e.g., those associated with the startup screen size) only take effect when you start a new TCI session. See the online help for each individual dialog page if you are not sure when a change will take effect.

TCI reads its TCI.INI file (see Locating the .INI file ) when it starts, and configures itself accordingly. The TCI.INI file is not reread when you change it manually. For manual changes to take effect, you must restart TCI. If you edit TCI.INI manually, make sure you save the file in ASCII format.

Each item that you can include in TCI.INI has a default value. You only need to include entries in the file for settings that you want to change from their default values.

Using the TCI.INI File

Some settings in TCI.INI are initialized when you install TCI. Other (such as window size and position) are modified as you use TCI, so you will probably have an TCI.INI file even if you didn't create one yourself. You should not delete this file.

Locating the TCI.INI File

TCI searches for TCI.INI in three places:

Onestep If there is an @d:\path\inifile option on the startup command line, TCI will use the path and file name specified there, and will not look elsewhere. If no such file exists, no TCI.INI file will be processed.
Onestep If there is no TCI.INI file name on the startup command line, the she search starts in the directory where the TCI program file is stored. This is the default location for TCI.INI. TCI determines this directory automatically.

If no TCI.INI file is found, all directives are set to their default values. If the operations performed in TCI window require it, a new TCI.INI will be created, using the default location and name.

See Command Line Options for more details about the startup command line.

Topic "inifiles.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Initialization,Initialization files,.INI,.INI files,TCI.INI


Help: Directives

Directives

Syntax

Most lines in TCI.INI consist of a one-word directive, an equal sign =, and a value. For example, in the following line, the word Transparency is the directive and 255 is the value:

Transparency = 255

Any spaces before or after the equal sign are ignored.

Regardless of how long a string value is, you must enter it all on one line. Strings cannot be continued to a second line.

Each line must be less than 2,047 characters.

The format of the value part of a directive line depends on the individual directive. It may be a numeric value, a single character, a choice (like Yes or No), a color setting, a filename, or a text string. The value begins with the first non-blank character after the equal sign and ends at the end of the line or the beginning of a comment.

Blank lines are ignored in TCI.INI and can be used to separate groups of directives.

You can place comments in the file by beginning a line with a semicolon ;. You can also place comments at the end of any line except one containing a text string value. To do so, enter at least one space or tab after the value, a semicolon, and your comment, like this:

Transparency = 250 ;set window transparency to not quite opaque

If you try to place a comment at the end of a string value, the comment will become part of the string and will probably cause an error.

If you use the configuration dialogs to modify TCI.INI, comments on lines modified from within the dialogs will not be preserved when the new lines are saved. To be sure TCI.INI comments are preserved, put them on separate lines.

When TCI detects an error while processing TCI.INI, it displays an error message and prompts you before processing the remainder of the file. This allows you to note any errors before the startup process continues. The directive in error will retain its previous or default value.

If you need to test different values for a TCI.INI directive without repeatedly editing the file, see the INIQuery directive.

Types of Directives

There are various types of directives in TCI.INI. The type of a directive is shown under the individual help topic for that directive. The types are distinguished by the kind of data, if any, that must be entered after the = (equal sign):

Onestep Name = nnnn (1234): This directive takes a numeric value which replaces the "nnnn." The default value is shown in parentheses or listed below the directive's description.

Onestep Name = CHOICE1 | Choice2 | ... : This directive must be set to one of the vertical bar separated values listed between the braces. The default value is shown in all upper case letters in the directive description, but in your file any one of the choices can be entered, using any case. (Do not enter the vertical bar.) For example, if the choices were shown as YES | No then YES is the default.

Onestep Name = Path: This directive takes a path specification, without a filename. The value should include both a drive and path (e.g., C:\TCI\) to avoid any possible ambiguities. A trailing backslash \ at the end of the path name is accepted but not required. Any default path is described in the text.

Onestep Name = File: This directive takes a filename. We recommend that you use a full filename including the drive letter and path to avoid any possible ambiguities. Any default filename is described in the text.

Evaluation of Directives

The directives are evaluated sequentially from top to bottom. When a directive is processed more than once during startup, the value replaces any previous one(s).

Topic "directives.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Initialization file,Directives


Help: Directives by Name

Directives by Name

COMSPEC | Set default command processor
ConsoleAltKey | Send Alt key messages to console
ConsoleBufferRows | Set console screen buffer size
ConsoleMouse | Send mouse messages to console

IBeamCursor | Set text cursor style
InactiveTransparency | Default transparency for inactive TCI window
INIQuery | Query for each line in the .INI file

LinuxSelection

Set option to automatically copy to clipboard upon selection

MultiLineTabs

Set single line or multiple lines for the tab labels

ScreenColumns | Set screen columns at startup
ScreenRows | Set screen rows at startup
ScrollWrap | Set tab scroll key wrap mode
StatusBarOn | Set status bar mode at startup
StatusBarText | Point size of status bar text
StdColors | Default window colors

TabIcons | Set icon display in the tab label
TabSize | Set the maximum tab text length
ToolBarOn | Set tool bar mode at startup
ToolBarText | Point size of tool bar text
Transparency | Default transparency for TCI window
Tray | Minimize TCI to the system tray instead of the taskbar

WindowHeight | Initial height of the TCI window
WindowState | Initial state for the TCI window
WindowWidth | Initial width of the TCI window
WindowX | Initial position of the left border of the TCI window
WindowY | Initial position of the top border of the TCI window

Wow64FsRedirection

Set debugging options

Topic "directivenames.htm" last edited 2006/09/29. ©2006 JP Software, Inc.
Keywords: TCI.INI


Help: COMSPEC

COMSPEC

COMSPEC=pathname

Overrides the default COMSPEC environment setting. For example, if your default COMSPEC is c:\windows\system32\cmd.exe, you can have TCI start 4NT as the default shell for new tabs by setting :

comspec=c:\program files\jpsoft\4nt8\4nt.exe

in your TCI.INI file.

Topic "comspec.htm" last edited 2006/09/21. ©2006 JP Software, Inc.
Keywords: COMSPEC,CMD.EXE,4NT.EXE


Help: ConsoleAltKey

ConsoleAltKey

ConsoleAltKey=NO | yes

Enables or disables the Alt key for console sessions. You can also set ConsoleAltKey in each tab with the "Edit/Console Alt Key" menu entry.

Topic "consolealtkey.htm" last edited 2006/04/03. ©2006 JP Software, Inc.
Keywords: ConsoleAltKey


Help: ConsoleBufferRows

ConsoleBufferRows

ConsoleBufferRows=nnn

Sets the number of rows in the console screen buffer. The range is 100 to 20,000.

Topic "consolebufferrows.htm" last edited 2006/04/15. ©2006 JP Software, Inc.
Keywords: ConsoleBufferRows


Help: ConsoleMouse

ConsoleMouse

ConsoleMouse=NO | yes

Enables or disables the mouse cursor for the console sessions. You can also set it in each tab with the "Edit/Console Mouse" menu entry.

Topic "consolemouse.htm" last edited 2006/04/15. ©2006 JP Software, Inc.
Keywords: ConsoleMouse


Help: IBeamCursor

IBeamCursor directive

IBeamCursor = YES | no

If set to Yes, TCI will display the standard "I-Beam" cursor in text areas of its window. If IBeamCursor is set to No, the "Arrow" cursor is used in all areas of the window. This can be helpful on laptop systems where the I-Beam cursor is hard to see.

The cursors are those defined in your Windows configuration (generally under the "Pointers" tab of the "Mouse Properties" dialog).

IBeamCursor=YES uses the cursor referred to as "I-Beam" or "Text Select", and IBeamCursor=No uses the cursor referred to as "Arrow" or "Normal Select".

Topic "ibeamcursor.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: IBeamCursor,Cursor


Help: InactiveTransparency

InactiveTransparency directive

InactiveTransparency = nn

Default: 255

Set the default transparency level for an inactive (not in focus) TCI window. The range is 0 (invisible) to 255 (opaque).

Topic "inactivetransparency.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: InactiveTransparency,Transparency


Help: INIQuery

INIQuery directive

INIQuery = yes | NO

If set to Yes, a prompt will be displayed before execution of each subsequent line in TCI.INI. This allows you to modify certain directives when you start TCI in order to test different configurations. INIQuery can be reset to No at any point in the file. Normally INIQuery = Yes is only used during testing of other TCI.INI file directives.

The dialog displayed by TCI when INIQuery = Yes gives you three options:

Yes Executes the directive
No Skips the directive
Cancel Executes the directive and all remaining directives in the [TCI] section of the TCI.INI file (i.e., cancels the INIQuery = Yes setting)

Topic "iniquery.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: INIQuery


Help: LeftAltKey

LeftAltKey

LeftAltKey=YES | no

If set to YES, then the left Alt key + the cursor keys will be intercepted by TCI, and will switch tabs or scroll the window.

If neither LeftAltKey nor RightAltKey are set, then all Alt-cursor keys will be passed to the console application.

See alto RightAltKey.

Topic "leftaltkey.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: LeftAltKey


Help: LinuxSelection

LinuxSelection

LinuxSelection=NO | yes

If set to YES, when selecting text TCI will copy the text automatically to the clipboard when the left mouse button is released.

Topic "linuxselection.htm" last edited 2006/06/01. ©2006 JP Software, Inc.
Keywords: LinuxSelection


Help: MultiLineTabs

MultiLineTabs

MultiLineTabs=NO | yes

If set to YES, multiple rows of tabs are displayed (if necessary), so all tabs are visible at once. If set to NO, when the number of tabs exceeds the space on the line, the tab bar will show scroll buttons so tabs can be scrolled left & right.

Topic "multilinetabs.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: MultiLineTabs


Help: RightAltKey

RightAltKey

RightAltKey=YES | no

If set to YES, then the right Alt key + the cursor keys will be intercepted by TCI, and will switch tabs or scroll the window.

]If neither LeftAltKey nor RightAltKey are set, then all Alt-cursor keys will be passed to the console application.

See alto LeftAltKey.

Topic "rightaltkey.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: RightAltKey


Help: ScreenColumns

ScreenColumns

ScreenColumns=nnn

Set the number of screen columns at startup.

Topic "screencolumns.htm" last edited 2006/04/17. ©2006 JP Software, Inc.
Keywords: ScreenColumns


Help: ScreenRows

ScreenRows

ScreenRows=nn

Set the number of screen rows at startup.

Topic "screenrows.htm" last edited 2006/04/17. ©2006 JP Software, Inc.
Keywords: ScreenRows


Help: ScrollWrap

ScrollWrap

ScrollWrap=NO | yes

If set to YES, the tab scrolling keys (Alt-Left and Alt-Right) will wrap around when they reach the first or last tab.

Topic "scrollwrap.htm" last edited 2006/04/03. ©2006 JP Software, Inc.
Keywords: ScrollWrap


Help: SingleInstance

SingleInstance

SingleInstance=NO | yes

If set to YES, only a single instance of TCI will be allowed. If you try to start TCI when it is already loaded, the previous TCI instance will be brought to the foreground.

Topic "singleinstance.htm" last edited 2006/09/21. ©2006 JP Software, Inc.
Keywords:


Help: StatusBarOn

StatusBarOn directive

StatusBarOn = YES | no

Yes enables the status bar when TCI starts; No disables it. The status bar can be enabled or disabled while TCI is running by using the Options menu . The StatusBarOn setting is automatically updated to reflect the current state of the status bar each time TCI exits; this preserves the status bar state between sessions.

Topic "statusbaron.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: StatusBarOn,Status Bar


Help: StatusBarText

StatusBarText directive

StatusBarText = nnnn

Default: 8

Sets the size of the text on the status bar, in points. The range is 4 to 16.

Topic "statusbartext.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: StatusBarText,Status Bar


Help: StdColors

StdColors directive

StdColors = Color

Sets the default colors to be used for console sessions.

Topic "stdcolors.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: StdColors,Colors


Help: Tab1-9

Tab1-9

TABn=pathname

Specify the program to run in tab n at startup. You can specify up to 9 tabs.

tab1=c:\program files\jpsoft\4nt8\4nt.exe

tab2=c:\windows\system32\cmd.exe

tab3=c:\cygwin\bin\bash.exe

The Tabn directives will be ignored if you start TCI with the /R option.

Topic "tab1_9.htm" last edited 2006/09/22. ©2006 JP Software, Inc.
Keywords:


Help: TabIcons

TabIcons

TabIcons=YES | no

Setting TabIcons=YES shows the application's icon in the tab label. (After changing TabIcons, you will need to restart TCI for the change to take effect.)

Topic "tabicons.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: TabIcons


Help: TabSize

TabSize

TabSize=nn

TabSize sets the maximum length of text in the tab label (which is the window title of the console session). If the length of the title exceeds TabSize, it is truncated and a trailing ".." is appended. If TabSize is negative, the tab label is set to the rightmost "nn" characters and a leading ".." is prefixed.

The range is -128 to 128, and the default value is 20.

Topic "tabsize.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: TabSize


Help: ToolBarOn

ToollBarOn directive

ToolBarOn = YES | no

YES enables the tool bar when TCI starts; NO disables it. The tool bar can be enabled or disabled while TCI is running by using the Options menu . The ToolBarOn setting is automatically updated to reflect the current state of the tool bar each time TCI exits; this preserves the tool bar state between sessions.

Topic "toolbaron.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: ToolBarOn,Tool Bar


Help: ToolBarText

ToolBarText directive

ToolBarText = nnnn

Default: 8

Sets the point size of text on the tool bar. The range is 4 to 16.

Topic "toolbartext.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: ToolBarText,Tool Bar


Help: Transparency

Transparency directive

Transparency = nn

Default: 255

Set the default transparency level of the TCI window. The range is 0 (invisible) to 255 (opaque). You can also set the transparency level with the slider control on the right side of the status bar.

You can set the transparency level of an inactive TCI window with the InactiveTransparency directive.

Topic "transparency.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Transparency


Help: Tray

Tray

TRAY=NO | yes

If TRAY is set to YES, TCI will minimize itself to the system tray instead of the task bar.

Topic "tray.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Tray,System Tray


Help: WindowHeight

WindowHeight directive

WindowHeight = nnn

If WindowState is set to CUSTOM, WindowHeight specifies (in pixels) the initial height of the TCI window.

See also: WindowWidth, WindowX, and WindowY.

Topic "windowheight.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: WindowHeight


Help: WindowState

WindowState directive

WindowState = STANDARD | maximize | minimize | custom

Sets the initial state of the TCI window. Standard puts the window in the default position on the Windows desktop. Maximize maximizes the window; Minimize minimizes it, and Custom sets it to the position specified by the WindowX, WindowY, WindowWidth, and WindowHeight directives.

Topic "windowstate.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: WindowState


Help: WindowX

WindowX directive

WindowX = nnnn

If WindowState is set to CUSTOM, WindowX specifies (in pixels) the initial position of the left border of the TCI window.

See also: WindowHeight, WindowWidth, and WindowY.

Topic "windowx.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: WindowX


Help: WindowY

WindowY directive

WindowY = nnnn

If WindowState is set to CUSTOM, WindowY specifies (in pixels) the initial position of the top border of the TCI window.

See also: WindowHeight, WindowWidth, WindowX.

Topic "windowy.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: WindowX


Help: WindowWidth

WindowWidth directive

WindowWidth = nnnn

If WindowState is set to CUSTOM, WindowWidth specifies (in pixels) the initial width of the TCI window.

See also: WindowHeight, WindowX, and WindowY.

Topic "windowwidth.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: WindowWidth


Help: Wow64FsRedirection

Wow64FsRedirection directive

Wow64FSRedirection = YES | no

If set to NO, will override the default Windows 64 behavior of remapping windows\system32 calls to windows\SysWOW64.

Topic "wow64fsredirection.htm" last edited 2006/09/29. ©2006 JP Software, Inc.
Keywords: Wow64FsRedirection,Windows 64,64-bit Windows,SysWOW64,x64


Help: Configuration Dialog

Configuration Dialog

This dialog (called from the Options menu in TCI), contains several pages of options that let you change the way TCI looks and works. Each option sets a corresponding directive in TCI.INI.

Unless you select the Cancel button, any changes you make will take effect immediately. If you select Apply, the settings will only apply for the duration of that session. If you select Save, the settings will be recorded in TCI.INI and will be in effect each time you start TCI.

For details about TCI.INI and TCI.INI directives, the allowable ranges for each, and the effect of each, see Initialization (.INI) Files and Directives.

While you are using the dialog, you can move between sets of configuration options by clicking on the individual tabs. The tabs are:

Windows

Tabs

Colors

Registration

Topic "configdlg.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Configuration Dialog


Help: Window Options Tab

Windows Options Tab

If you are not familiar with the purpose or use of the configuration dialogs, review the main configuration dialogs topic before continuing. If you need more details about a particular option, see the Initialization directive related to that option.

In the Display section:

The ScreenRows and ScreenColumns fields set the TCI window size at startup. (They will be overridden by a /S:n,n startup option.)

The Standard, Max, Min, and Custom radio buttons select the initial state for the TCI window and set the WindowState directive.

The X, Y, Width, and Height fields set the initial size and position of the TCI window and set the WindowX, WindowY, WindowWidth, and WindowHeight directives. They are ignored unless the Custom radio button is also selected.

The Minimize to Tray option sets the Tray directive (minimizing TCI to the system tray instead of the task bar).

The Single Instance option restricts TCI to a single instance. (If you try to start another copy of TCI, the previous instance will be brought to the foreground.)

The Transparency field sets the transparency level for the TCI window.

In the Window Configuration section:

Enable Toolbar sets the tool bar mode at startup and the ToolBarOn directive. The Font Size field sets the point size of tool bar text and the ToolBarText directive. The tool bar will only be visible if you have defined one or more tool bar buttons.

Enable Statusbar sets the status bar mode at startup and the StatusBarOn directive. The Font Size field sets the point size of status bar text and the StatusBarText directive.

In the Console section:

Console Mouse enables or disables the mouse cursor for the console sessions. You can also set it in each tab with the "Edit/Console Mouse" menu entry.

Console Alt-Key enables or disables the Alt key for console sessions. You can also set ConsoleAltKey in each tab with the "Edit/Console Alt Key" menu entry.

Buffer Rows sets the number of rows in the console screen buffer. The range is 100 to 20,000.

In the Cursor section:

The Arrow and I-Beam radio buttons let you select the type of cursor which will use and also set the IBeamCursor directive.

Console Font:

The Console Font button opens a standard Windows font dialog that lets you select the font, point size, and font style for the TCI display. Font information is stored in a separate section of the TCI.INI file; therefore, the font option does not have a corresponding directive.

Topic "iniwindowdlg.htm" last edited 2006/09/21. ©2006 JP Software, Inc.
Keywords: Window Options Tab,Font


Help: Tabs Options Tab

Tabs Options

If you are not familiar with the purpose or use of the configuration dialogs, review the main configuration dialogs topic before continuing. If you need more details about a particular option, see the Initialization directive related to that option.

Top puts the tabs on the top of the window, and Bottom puts them at the bottom of the window.

Multiple Tab Rows sets the MultiLineTabs directive (tabs at the top or the bottom of the display window).

Tab Icons sets the TabIcons directive (displaying the application's icon in the tab label).

Wrap Scroll Keys sets the ScrollWrap directive (the Alt-Left and Alt-Right keys wrap around after reaching the beginning or the end of the tabs).

If LeftAltKey is set, then only the left Alt key + the cursor keys will switch tabs or scroll the window. (The right Alt key will be passed to the console application.)

If RightAltKey is set, then only the right Alt key + the cursor keys will switch tabs or scroll the window. (The left Alt key will be passed to the console application.)

Tab Size sets the TabSize directive (the maximum length of the tab label text).

The Font button opens a standard Windows font dialog that lets you select the font, point size, and font style for the TCI tab labels. Font information is stored in a separate section in TCI.INI; therefore, the font option does not have a corresponding directive.

Default App field sets the COMSPEC directive to specify the program you want to start in new tabs. If the COMSPEC directive isn't specified, TCI uses the value of the COMSPEC environment variable.

The Tab1 - Tab9 fields specify programs to run in each tab at startup.

Topic "initabsdlg.htm" last edited 2006/09/27. ©2006 JP Software, Inc.
Keywords: Tabs Options


Help: Colors Options Tab

Colors Options Tab

If you are not familiar with the purpose or use of the configuration dialogs, review the main configuration dialogs topic before continuing. If you need more details about a particular option, see the Initialization directive related to that option.

The options in the Colors section let you select foreground and background colors for text in the TCI window. They also set the StdColors directive.

Topic "inicolordlg.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Color Options Tab


Help: Registration Tab

Registration Tab

The Register tab allows you to register TCI. When you purchase a new or upgrade copy of TCI, you will receive an email with your name and registration key. Enter the registration information exactly as you received it in the email (preferably by cutting & pasting).

Remember to save your registration key in a safe place in case you need to reinstall. If you have lost your registration key, you can request a replacement by contacting JP Software at sales@jpsoft.com, or at one of the addresses listed at the start of this file.

Topic "iniregistrationdlg.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Registration


Help: Help File

Help File

The distribution package for TCI includes TCI.chm, a help file in Window's compiled HTML format. TCI uses the default Windows help system to display the contents of TCI.chm. Under most configurations, Windows will remember the last used settings (window size, tab selected, etc.) for that file. Once you've started the help system, you can use standard Windows HTML Viewer keystrokes to navigate. For more information, see your Windows documentation.

If the topic you seek is not listed, look for a suitable cross reference from the Index tab or use the Search tab. The topics you use most often can be stored and recalled through the Favorites tab.

Topic "helpfile.htm" last edited 2006/06/02. ©2006 JP Software, Inc.
Keywords: Online Help,TCI.chm


Help: Troubleshooting and Support

Troubleshooting and Support

If you need help with TCI, we encourage you to review our documentation and then contact us for assistance if required.

If you need help with sales, ordering, or shipments (including defective disks or other materials which were shipped to you), or with registration codes, please contact our Sales and Customer Service department. See Contacting JP Software for our email address, mail address, and telephone numbers. Note that Sales and Customer service staff cannot assist you with technical problems and conversely Technical Support representatives cannot answer your sales or registration questions.

If you need technical support for TCI, review the Technical Support information section, which tells you what we need to know to provide you with accurate and timely support, then contact us via one of the methods described there. In most instances, our Online Support Forum is the fastest and most efficient way to address your technical questions and concerns.

Topic "support.htm" last edited 2006/06/01. ©2006 JP Software, Inc.
Keywords: Technical Support,Troubleshooting


Help: Technical Support

Technical Support

Support Plans

Standard, no-charge support is available electronically through our Support Forum. We also offer a paid support option which includes automatic upgrades and support by private email or telephone. For complete details on all support options, including plans currently offered and support terms and conditions, see our web site at http://jpsoft.com/.

Before you contact Technical Support, please review the What Information do we need? section which outlines the basic data we need to best address your questions and concerns.

Online Support

The primary venue for Technical Support is via our free online Support Forum, where our support personnel can read and respond to your messages, and other users can participate in and benefit from the exchange. The Forum is a lively community frequented by a number of experienced and helpful users. JP Software representatives read every Forum message and respond as promptly as reasonably possible whenever appropriate.

If you have any kind of Internet access, even if only email, chances are you can use the Forum which we make accessible as a mailing list, a news group, and web pages. Forum members must provide a valid email address and a full name to be able to post, but you do need not need to join or provide any information to simply visit or search the Forum. For complete details and direct access links see the support area of our web site at http://jpsoft.com/.

A number of other support resources are available from our web site, including documentation files, technical tips and discussions, and other technical information. We update this information regularly, and we encourage you to check the Technical Support area of the web site to see if the information there will address any questions you have.

If you are unable to gain access to the forum, or you need to include confidential information in your support request, contact us via email at support@jpsoft.com and we will assist you in resolving the problem with forum access, or assist you with your request privately if appropriate. Please do not use that address for standard support questions which can be posted on the forum.

If you are a paid support customer you should use the online Support Forum for routine questions. To create a private support incident refer to the materials sent to you with your subscription for contact information, or email priority_support@jpsoft.com.

What Information do we need?

Before contacting us for support, please check this help file and other documentation for answers to your question. If you can't find what you need, try the Index. If you're having trouble getting TCI to run properly, look through the Support Forum for any last-minute information.

If you need help with sales, ordering, shipments, registration keys, or other similar non-technical issues please contact our Sales and Customer Service department. Technical Support will not be able to assist you with those matters. Conversely, Customer Service is not equipped to answer your technical questions. See Contacting JP Software for our addresses.

Regardless of how you contact us for support, we can do a much better job of assisting you if you can give us some basic information, separate from your interpretations of or conclusions about the problem. Remember that we know NOTHING about your system or configuration unless you tell us, and we can't always make accurate guesses if you don't. The first four items listed below are essential for us to be able to understand and assist you with your problem:

· What environment are you working in? This includes the operating system version you are using, the version of the JP Software product involved, and related information such as network connections and the name and version number of any other software which appears to be involved in the problem. Every question posted on the Forum should include a brief identification such as "TCI 1.00 build 38 under XP+SP2" or something similar.

· What exactly did you do? A concise description of what steps you must take to make the problem appear is much more useful than a long analysis of what might be happening. In most cases, posting the exact command line(s) giving you trouble is the simplest approach.

· What did you expect to happen? Tell us the result you expected from the command or operation in question, so that we understand what you are trying to do. Something that seems "obvious" to you might not be so to others. For example, tell us "I was expecting the file name to be in upper case" or a similar brief explanation.

· What actually happened? At what point did the failure occur? If you saw an error message or other important or unusual information on the screen, what exactly did it say? Don't simply tell us "it didn't work". For example, if you were expecting output from a command and saw none, at least tell us that much.

· Briefly, what techniques did you use to try to resolve the problem? What results did you get? One technique that tends to solve many problems is to review the help for the command or feature in question and try it with the documented exact correct syntax, as opposed to some undocumented alternative.

· If the problem seems related to startup and configuration issues, what are the contents of the TCI.INI file, any batch files they call, and any alias or environment variable files they load? You do not need to include the entire file, of course, but at least any entry you think might be relevant, such as a specific INI directive or a command.

· Can you repeat the problem or does it occur randomly? If it's random, does it seem related to the programs you're using when the problem occurs? Random or occasional problems are very difficult to diagnose. Do your best to determine some sort of pattern or sequence of events that triggers the problem. If you can't reproduce it, chances are we won't be able to either. Note that mysterious unexplainable problems often permanently disappear after simply reloading the program or even rebooting the system.

· If TCI experiences a fatal failure, such as a Windows General Protection Fault (GPF), Unhandled Exception, or similar unrecoverable error, it will attempt to dump the relevant memory locations and other useful data to a text file (TCI.GPF) into its directory if at all possible. That file is important for tracking down the exact internal location of the failure, whether in the TCI executable itself or in some Windows component that it happened to invoke, and Technical Support may ask you to send a copy of that text file to a specified address or post its contents on the Forum.

Topic "techsup.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Technical Support,TCI.GPF


Help: Contacting JP Software

Contacting JP Software

You can contact JP Software at the following addresses and numbers. Our normal business hours are 9:00 AM to 5:00 PM weekdays, Eastern US time (except holidays).

Address: JP Software Inc.
P.O. Box 328
Chestertown, MD 21620
USA
Main number: (410) 810-8818
Fax: (410) 646-0026
Order Line: (410) 810-8819
Online: Web site: http://jpsoft.com/
FTP site: ftp://jpsoft.com
Sales / Customer Service: sales@jpsoft.com
Technical Support: Standard (no-charge) support: Available via our online Support Forum, accessible from the support area of our web site.
See Technical Support for additional details, and for information on our paid support option.

Topic "contact.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Contact,JP Software


Help: Registration

Registration

There are no separate trial and registered versions of our products. Without registration, a trial version is fully functional for 30 days of use.

At any time you can apply your current personal registration information to a trial version in order to turn it into a registered product. Use the Help/About menu entry to verify the status of the copy you are currently running.

When you purchase a new or upgrade copy of TCI, you will receive an email with your name and registration key. Start TCI, select the Options/Configure TCI menu option and select the Register tab, and enter the registration information exactly as you received it in the email. Remember to save your registration key in a safe place in case you need to reinstall. If you have lost your registration key, you can request a replacement by contacting JP Software at sales@jpsoft.com, or at one of the addresses listed at the start of this file.

Topic "register.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Registering TCI,Registration


Help: Order Form

Order Form

You can at any time apply your personal registration information to a trial version in order to turn it into a registered version.

To order or upgrade any of our products, visit our web site and secure online store or email /fax us a copy of the form shown below. See Contacting JP Software for our address and phone/fax numbers.

JP Software Standard Order Form [2006/7]

P.O. Box 328 email to sales@jpsoft.com

Chestertown, MD 21620 USA or fax to (410) 810-0026

This order form covers our standard product line: new copies, upgrades,

our CD Suite, and manuals.

For multi-system licenses, more shipping information, and answers to

other ordering questions, see http://jpsoft.com. If you need

additional information, or want to order directly from our web site:

For See

------------------------- --------------------------

On-line order entry http://jpsoft.com/

Email orders / inquiries sales@jpsoft.com

Phone orders / inquiries (410) 810-8818

Fax orders (410) 810-0026

US / international dealer list http://jpsoft.com/

=====================================================================

Name (first, last) __________________________________________________

Company _____________________________________________________________

Address _____________________________________________________________

_____________________________________________________________

City, State/Prov, Post Code _________________________________________

Country _____________________________________________________________

Phone _____________________________ Fax ____________________________

E-Mail ______________________________________________________________

(Will only be used by JP Software to notify you of upgrades or

contact you with other information related to our products.)

Register products to: ___ Company ___ Individual

Where did you hear about our products? ______________________________

=====================================================================

Total Price

New Copies and Product Packs

___ 4NT ($74.95) ................................ __________ [NC120]

___ Take Command ($74.95) ...................... __________ [NC140]

___ CD Suite (both products, $99.95) ............ __________ [CD180]

___ TCI ($29.95)................................. __________ [NC700]

Upgrades / Conversions ($14.95 to upgrade TCI, $34.95 to

upgrade 4NT or Take Command or to switch products. $49.95 to

convert to or upgrade the CD Suite.)

Total Price

___ 4NT ................. S/N ____________ ...... __________ [UP320]

___ Take Command ........ S/N ____________ ...... __________ [UP340]

___ JP CD Suite ......... S/N ____________ ...... __________ [CD380]

___ TCI.................. S/N ____________ ...... __________ [UP700]

Extended Support Annual Subscription (single system $14.95

for TCI, $24.95 for 4NT / Take Command, $34.95 for CD Suite)

___ 4NT Extended Support ........................ __________ [SU620]

___ Take Command Extended Support ............... __________ [SU640]

___ CD Suite (both products) .................... __________ [SU660]

___ TCI Extended Support ........................ __________ [SU700]

Contact us or see our web site for pricing on multi-system licenses.

Multi-System Licenses / Other Products

___ ____________________________________________ __________ [ ]

___ ____________________________________________ __________ [ ]

For conversions please supply your registered name _________________

Subtotal $ __________

Sales Tax

---------------------------------- (MD 5%) $ __________

| SHIPPING (USPS) $10 |

|--------------------------------| Shipping $ __________

| For other services please |

| contact us. | ORDER TOTAL $ __________

----------------------------------

=====================================================================

Thanks for your order! Now please choose a payment method:

___Credit Card: __MC __Visa __Discover __Amex

Card # _________________________________________ Expires ____/____

Signature ________________________________________________________

___Check (US bank, US funds) ___P.O.* #___________________

=====================================================================

Legal Stuff: Copyright 2006, JP Software Inc., All Rights Reserved.

All prices and terms subject to change without notice.

Topic "orderform.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Order Form,Ordering TCI


Help: Copyright & Version

Copyright and Version

TCI 1.01 for Microsoft Windows XP / 2003

Software: Copyright © 2006, Rex Conn and JP Software Inc.

All Rights Reserved.

Version 1.01 Help System

Help text: Copyright © 2006 JP Software Inc.

All Rights Reserved.

TCI Language.dll translations by

French | Christian Albaret
German | Hans-Peter Grözinger

We gratefully acknowledge the contributions of Roger Byrne, Vincent Fatica and our other users.

This help material was last revised on Friday, September 29, 2006

Click HERE to go online and view in this window a brief history of recent TCI builds.

Remember that maintenance releases are always FREE for registered users of the current version.

TCI is a trademark of JP Software Inc. 4NT is JP Software Inc.'s trademark for its family of character-mode command processors. Take Command® is a registered trademark of JP Software Inc. JP Software, jpsoft.com, and all JP Software designs and logos are also trademarks of JP Software Inc. Other product and company names are trademarks of their respective owners.

Topic "version.htm" last edited 2006/07/01. ©2006 JP Software, Inc.
Keywords: Copyright,Version